[arch-commits] Commit in libvirt/repos/community-x86_64 (9 files)

Christian Rebischke shibumi at archlinux.org
Sun May 19 15:43:06 UTC 2019


    Date: Sunday, May 19, 2019 @ 15:43:05
  Author: shibumi
Revision: 467987

archrelease: copy trunk to community-x86_64

Added:
  libvirt/repos/community-x86_64/PKGBUILD
    (from rev 467986, libvirt/trunk/PKGBUILD)
  libvirt/repos/community-x86_64/libvirt.sysusers.d
    (from rev 467986, libvirt/trunk/libvirt.sysusers.d)
  libvirt/repos/community-x86_64/libvirtd-guests.conf.d
    (from rev 467986, libvirt/trunk/libvirtd-guests.conf.d)
  libvirt/repos/community-x86_64/libvirtd.conf.d
    (from rev 467986, libvirt/trunk/libvirtd.conf.d)
Deleted:
  libvirt/repos/community-x86_64/PKGBUILD
  libvirt/repos/community-x86_64/libvirt.install
  libvirt/repos/community-x86_64/libvirt.sysusers.d
  libvirt/repos/community-x86_64/libvirtd-guests.conf.d
  libvirt/repos/community-x86_64/libvirtd.conf.d

------------------------+
 PKGBUILD               |  300 +++++++++++++++++++++++------------------------
 libvirt.install        |    9 -
 libvirt.sysusers.d     |    3 
 libvirtd-guests.conf.d |   18 +-
 libvirtd.conf.d        |    2 
 5 files changed, 160 insertions(+), 172 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-05-19 15:42:58 UTC (rev 467986)
+++ PKGBUILD	2019-05-19 15:43:05 UTC (rev 467987)
@@ -1,151 +0,0 @@
-# Maintainer: Christian Rebischke <chris.rebischke at archlinux.org>
-# Contributor: Sergej Pupykin <pupykin.s+arch at gmail.com>
-# Contributor: Jonathan Wiersma <archaur at jonw dot org>
-
-pkgname=libvirt
-pkgver=5.2.0
-pkgrel=1
-pkgdesc="API for controlling virtualization engines (openvz,kvm,qemu,virtualbox,xen,etc)"
-arch=('x86_64')
-url="https://libvirt.org/"
-license=('LGPL')
-makedepends=('lvm2' 'linux-api-headers' 'dnsmasq' 'lxc' 'libiscsi' 'open-iscsi'
-             'perl-xml-xpath' 'libxslt' 'qemu' 'parted' 'python')
-depends=('e2fsprogs' 'gnutls' 'iptables' 'libxml2' 'parted' 'polkit' 'avahi'
-         'yajl' 'libpciaccess' 'udev' 'dbus' 'libxau' 'libxdmcp' 'libpcap'
-         'libcap-ng' 'curl' 'libsasl' 'libgcrypt' 'libgpg-error' 'openssl'
-         'libxcb' 'gcc-libs' 'iproute2' 'libnl' 'libx11' 'numactl' 'gettext'
-         'libssh2' 'netcf' 'fuse2' 'glusterfs' 'ceph-libs' 'libiscsi')
-optdepends=('ebtables: required for default NAT networking'
-            'dnsmasq: required for default NAT/DHCP for guests'
-            'bridge-utils: for bridged networking'
-            'netcat: for remote management over ssh'
-            'qemu'
-            'radvd'
-            'dmidecode'
-            'parted'
-            'ceph: for ceph support'
-            'qemu-block-gluster: for qemu glusterfs support')
-backup=('etc/conf.d/libvirt-guests'
-  'etc/conf.d/libvirtd'
-  'etc/libvirt/libvirt.conf'
-  'etc/libvirt/virtlogd.conf'
-  'etc/libvirt/libvirtd.conf'
-  'etc/libvirt/lxc.conf'
-  'etc/libvirt/nwfilter/allow-arp.xml'
-  'etc/libvirt/nwfilter/allow-dhcp-server.xml'
-  'etc/libvirt/nwfilter/allow-dhcp.xml'
-  'etc/libvirt/nwfilter/allow-incoming-ipv4.xml'
-  'etc/libvirt/nwfilter/allow-ipv4.xml'
-  'etc/libvirt/nwfilter/clean-traffic.xml'
-  'etc/libvirt/nwfilter/no-arp-ip-spoofing.xml'
-  'etc/libvirt/nwfilter/no-arp-mac-spoofing.xml'
-  'etc/libvirt/nwfilter/no-arp-spoofing.xml'
-  'etc/libvirt/nwfilter/no-ip-multicast.xml'
-  'etc/libvirt/nwfilter/no-ip-spoofing.xml'
-  'etc/libvirt/nwfilter/no-mac-broadcast.xml'
-  'etc/libvirt/nwfilter/no-mac-spoofing.xml'
-  'etc/libvirt/nwfilter/no-other-l2-traffic.xml'
-  'etc/libvirt/nwfilter/no-other-rarp-traffic.xml'
-  'etc/libvirt/nwfilter/qemu-announce-self-rarp.xml'
-  'etc/libvirt/nwfilter/qemu-announce-self.xml'
-  'etc/libvirt/qemu-lockd.conf'
-  'etc/libvirt/qemu.conf'
-  'etc/libvirt/qemu/networks/default.xml'
-  'etc/libvirt/virt-login-shell.conf'
-  'etc/libvirt/virtlockd.conf'
-  'etc/logrotate.d/libvirtd'
-  'etc/logrotate.d/libvirtd.lxc'
-  'etc/logrotate.d/libvirtd.qemu'
-  'etc/logrotate.d/libvirtd.uml'
-  'etc/sasl2/libvirt.conf')
-install="libvirt.install"
-
-options=('emptydirs')
-validpgpkeys=('C74415BA7C9C7F78F02E1DC34606B8A5DE95BC1F')
-source=("https://libvirt.org/sources/${pkgname}-${pkgver}.tar.xz"{,.asc}
-        'libvirtd.conf.d'
-        'libvirtd-guests.conf.d'
-        'libvirt.sysusers.d')
-sha512sums=('378dc1552263cce746117487abc0a1f3411e5be149331717158ba23825734ceae7ca474290264d71de798fdd089ad9672026bcb242fa5b3aef87294284d06f04'
-            'SKIP'
-            'fc0e16e045a2c84d168d42c97d9e14ca32ba0d86025135967f4367cf3fa663882eefb6923ebf04676ae763f4f459e5156d7221b36b47c835f9e531c6b6e0cd9d'
-            'ef221bae994ad0a15ab5186b7469132896156d82bfdc3ef3456447d5cf1af347401ef33e8665d5b2f76451f5457aee7ea01064d7b9223d6691c90c4456763258'
-            '519a9f245bed077137a1b01dec07a178885ac2527b47a1bd883bbb908bf9b4fa0c039525600e09f7db636f8849870fe2ce8ffe5b75532ff9d3fa1a91115875f8')
-
-prepare() {
-  cd "${srcdir}/${pkgname}-${pkgver}"
-
-  #local src
-  #for src in "${source[@]}"; do
-  #  src="${src%%::*}"
-  #  src="${src##*/}"
-  #  [[ $src = *.patch ]] || continue
-  #  msg2 "Applying patch $src..."
-  #  patch -Np1 < "../$src"
-  #done
-
-  autoreconf -vi
-
-  sed -i 's|/sysconfig/|/conf.d/|g' \
-    src/remote/libvirtd.service.in \
-    tools/{libvirt-guests.service,libvirt-guests.sh,virt-pki-validate}.in \
-    src/locking/virtlockd.service.in
-  sed -i 's|@sbindir@|/usr/bin|g' src/locking/virtlockd.service.in
-  sed -i 's|/usr/libexec/qemu-bridge-helper|/usr/lib/qemu/qemu-bridge-helper|g' \
-    src/qemu/qemu{.conf,_conf.c} \
-    src/qemu/test_libvirtd_qemu.aug.in
-
-  sed -i 's|libsystemd-daemon|libsystemd|g' configure
-  sed -i 's/notify/simple/' src/remote/libvirtd.service.in
-}
-
-build() {
-  cd "${srcdir}/${pkgname}-${pkgver}"
-
-  export PYTHON=$(command -v python)
-  export LDFLAGS=-lX11
-  export RADVD=/usr/bin/radvd
-  [ -f Makefile ] || ZFS=/usr/bin/zfs ZPOOL=/usr/bin/zpool ./configure \
-    --prefix=/usr \
-    --libexec=/usr/lib/"${pkgname}" \
-    --sbindir=/usr/bin \
-    --disable-static \
-    --with-init-script=systemd \
-    --with-qemu \
-    --with-qemu-user=nobody \
-    --with-qemu-group=kvm \
-    --without-hal \
-    --with-interface \
-    --with-lxc \
-    --with-netcf \
-    --with-udev \
-    --with-storage-disk \
-    --with-storage-gluster \
-    --with-storage-iscsi \
-    --with-storage-lvm \
-    --with-storage-zfs
-    # --with-audit
-  make
-}
-
-package() {
-  cd "${srcdir}/${pkgname}-${pkgver}"
-
-  make DESTDIR="${pkgdir}" install
-
-  install -D -m644 "${srcdir}"/libvirtd.conf.d "${pkgdir}"/etc/conf.d/libvirtd
-  install -D -m644 "${srcdir}"/libvirtd-guests.conf.d "${pkgdir}"/etc/conf.d/libvirt-guests
-  install -D -m644 "${srcdir}"/libvirt.sysusers.d "${pkgdir}"/usr/lib/sysusers.d/libvirt.conf
-
-  chown 0:102 "${pkgdir}"/usr/share/polkit-1/rules.d
-  chmod 0750 "${pkgdir}"/usr/share/polkit-1/rules.d
-
-  rm -rf \
-    "${pkgdir}"/var/run \
-    "${pkgdir}"/var/lib/libvirt/qemu \
-    "${pkgdir}"/var/cache/libvirt/qemu \
-    "${pkgdir}"/etc/sysconfig
-
-  rm -f "${pkgdir}"/etc/libvirt/qemu/networks/autostart/default.xml
-}

Copied: libvirt/repos/community-x86_64/PKGBUILD (from rev 467986, libvirt/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-05-19 15:43:05 UTC (rev 467987)
@@ -0,0 +1,149 @@
+# Maintainer: Christian Rebischke <chris.rebischke at archlinux.org>
+# Contributor: Sergej Pupykin <pupykin.s+arch at gmail.com>
+# Contributor: Jonathan Wiersma <archaur at jonw dot org>
+
+pkgname=libvirt
+pkgver=5.3.0
+pkgrel=1
+pkgdesc="API for controlling virtualization engines (openvz,kvm,qemu,virtualbox,xen,etc)"
+arch=('x86_64')
+url="https://libvirt.org/"
+license=('LGPL')
+makedepends=('lvm2' 'linux-api-headers' 'dnsmasq' 'lxc' 'libiscsi' 'open-iscsi'
+             'perl-xml-xpath' 'libxslt' 'qemu' 'parted' 'python')
+depends=('e2fsprogs' 'gnutls' 'iptables' 'libxml2' 'parted' 'polkit' 'avahi'
+         'yajl' 'libpciaccess' 'udev' 'dbus' 'libxau' 'libxdmcp' 'libpcap'
+         'libcap-ng' 'curl' 'libsasl' 'libgcrypt' 'libgpg-error' 'openssl'
+         'libxcb' 'gcc-libs' 'iproute2' 'libnl' 'libx11' 'numactl' 'gettext'
+         'libssh2' 'netcf' 'fuse2' 'glusterfs' 'ceph-libs' 'libiscsi')
+optdepends=('ebtables: required for default NAT networking'
+            'dnsmasq: required for default NAT/DHCP for guests'
+            'bridge-utils: for bridged networking'
+            'netcat: for remote management over ssh'
+            'qemu'
+            'radvd'
+            'dmidecode'
+            'parted'
+            'ceph: for ceph support'
+            'qemu-block-gluster: for qemu glusterfs support')
+backup=('etc/conf.d/libvirt-guests'
+  'etc/conf.d/libvirtd'
+  'etc/libvirt/libvirt.conf'
+  'etc/libvirt/virtlogd.conf'
+  'etc/libvirt/libvirtd.conf'
+  'etc/libvirt/lxc.conf'
+  'etc/libvirt/nwfilter/allow-arp.xml'
+  'etc/libvirt/nwfilter/allow-dhcp-server.xml'
+  'etc/libvirt/nwfilter/allow-dhcp.xml'
+  'etc/libvirt/nwfilter/allow-incoming-ipv4.xml'
+  'etc/libvirt/nwfilter/allow-ipv4.xml'
+  'etc/libvirt/nwfilter/clean-traffic.xml'
+  'etc/libvirt/nwfilter/no-arp-ip-spoofing.xml'
+  'etc/libvirt/nwfilter/no-arp-mac-spoofing.xml'
+  'etc/libvirt/nwfilter/no-arp-spoofing.xml'
+  'etc/libvirt/nwfilter/no-ip-multicast.xml'
+  'etc/libvirt/nwfilter/no-ip-spoofing.xml'
+  'etc/libvirt/nwfilter/no-mac-broadcast.xml'
+  'etc/libvirt/nwfilter/no-mac-spoofing.xml'
+  'etc/libvirt/nwfilter/no-other-l2-traffic.xml'
+  'etc/libvirt/nwfilter/no-other-rarp-traffic.xml'
+  'etc/libvirt/nwfilter/qemu-announce-self-rarp.xml'
+  'etc/libvirt/nwfilter/qemu-announce-self.xml'
+  'etc/libvirt/nwfilter/clean-traffic-gateway.xml'
+  'etc/libvirt/qemu-lockd.conf'
+  'etc/libvirt/qemu.conf'
+  'etc/libvirt/qemu/networks/default.xml'
+  'etc/libvirt/virt-login-shell.conf'
+  'etc/libvirt/virtlockd.conf'
+  'etc/logrotate.d/libvirtd'
+  'etc/logrotate.d/libvirtd.lxc'
+  'etc/logrotate.d/libvirtd.qemu'
+  'etc/sasl2/libvirt.conf')
+options=('emptydirs')
+validpgpkeys=('C74415BA7C9C7F78F02E1DC34606B8A5DE95BC1F')
+source=("https://libvirt.org/sources/${pkgname}-${pkgver}.tar.xz"{,.asc}
+        'libvirtd.conf.d'
+        'libvirtd-guests.conf.d'
+        'libvirt.sysusers.d')
+sha512sums=('de3888d448463ff1d981e8dcf1aaed39c8215c368d133ed03b8cc5d7e05a77d385287d388d9db109df21df9bf348a14e7c654ca509d41addaadaa199d16b162e'
+            'SKIP'
+            'fc0e16e045a2c84d168d42c97d9e14ca32ba0d86025135967f4367cf3fa663882eefb6923ebf04676ae763f4f459e5156d7221b36b47c835f9e531c6b6e0cd9d'
+            'ef221bae994ad0a15ab5186b7469132896156d82bfdc3ef3456447d5cf1af347401ef33e8665d5b2f76451f5457aee7ea01064d7b9223d6691c90c4456763258'
+            '7d1d535aaf739a6753f6819c49272c8d9b5f488e0a8553797499334a76b8631474e222b6048f2125b858e5ecc21e602face45dd02121f833d605b9ae58322982')
+
+prepare() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+
+  #local src
+  #for src in "${source[@]}"; do
+  #  src="${src%%::*}"
+  #  src="${src##*/}"
+  #  [[ $src = *.patch ]] || continue
+  #  msg2 "Applying patch $src..."
+  #  patch -Np1 < "../$src"
+  #done
+
+  autoreconf -vi
+
+  sed -i 's|/sysconfig/|/conf.d/|g' \
+    src/remote/libvirtd.service.in \
+    tools/{libvirt-guests.service,libvirt-guests.sh,virt-pki-validate}.in \
+    src/locking/virtlockd.service.in
+  sed -i 's|@sbindir@|/usr/bin|g' src/locking/virtlockd.service.in
+  sed -i 's|/usr/libexec/qemu-bridge-helper|/usr/lib/qemu/qemu-bridge-helper|g' \
+    src/qemu/qemu{.conf,_conf.c} \
+    src/qemu/test_libvirtd_qemu.aug.in
+
+  sed -i 's|libsystemd-daemon|libsystemd|g' configure
+  sed -i 's/notify/simple/' src/remote/libvirtd.service.in
+}
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+
+  export PYTHON=$(command -v python)
+  export LDFLAGS=-lX11
+  export RADVD=/usr/bin/radvd
+  [ -f Makefile ] || ZFS=/usr/bin/zfs ZPOOL=/usr/bin/zpool ./configure \
+    --prefix=/usr \
+    --libexec=/usr/lib/"${pkgname}" \
+    --sbindir=/usr/bin \
+    --disable-static \
+    --with-init-script=systemd \
+    --with-qemu \
+    --with-qemu-user=nobody \
+    --with-qemu-group=kvm \
+    --without-hal \
+    --with-interface \
+    --with-lxc \
+    --with-netcf \
+    --with-udev \
+    --with-storage-disk \
+    --with-storage-gluster \
+    --with-storage-iscsi \
+    --with-storage-lvm \
+    --with-storage-zfs
+    # --with-audit
+  make
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+
+  make DESTDIR="${pkgdir}" install
+
+  install -D -m644 "${srcdir}"/libvirtd.conf.d "${pkgdir}"/etc/conf.d/libvirtd
+  install -D -m644 "${srcdir}"/libvirtd-guests.conf.d "${pkgdir}"/etc/conf.d/libvirt-guests
+  install -D -m644 "${srcdir}"/libvirt.sysusers.d "${pkgdir}"/usr/lib/sysusers.d/libvirt.conf
+
+  chown 0:102 "${pkgdir}"/usr/share/polkit-1/rules.d
+  chmod 0750 "${pkgdir}"/usr/share/polkit-1/rules.d
+
+  rm -rf \
+    "${pkgdir}"/var/run \
+    "${pkgdir}"/var/lib/libvirt/qemu \
+    "${pkgdir}"/var/cache/libvirt/qemu \
+    "${pkgdir}"/etc/sysconfig
+
+  rm -f "${pkgdir}"/etc/libvirt/qemu/networks/autostart/default.xml
+}

Deleted: libvirt.install
===================================================================
--- libvirt.install	2019-05-19 15:42:58 UTC (rev 467986)
+++ libvirt.install	2019-05-19 15:43:05 UTC (rev 467987)
@@ -1,9 +0,0 @@
-post_install() {
-  echo ">>> libvirt runs qemu from nobody:kvm by default"
-  echo ">>> change the USER if desired in /etc/libvirt/qemu.conf"
-  echo ">>> See https://wiki.archlinux.org/index.php/Libvirt for more info"
-}
-
-post_upgrade() {
-  echo ">>> You may need to run 'rm -rf ~/.libvirt'"
-}

Deleted: libvirt.sysusers.d
===================================================================
--- libvirt.sysusers.d	2019-05-19 15:42:58 UTC (rev 467986)
+++ libvirt.sysusers.d	2019-05-19 15:43:05 UTC (rev 467987)
@@ -1,2 +0,0 @@
-g libvirt - -
-g tss - -

Copied: libvirt/repos/community-x86_64/libvirt.sysusers.d (from rev 467986, libvirt/trunk/libvirt.sysusers.d)
===================================================================
--- libvirt.sysusers.d	                        (rev 0)
+++ libvirt.sysusers.d	2019-05-19 15:43:05 UTC (rev 467987)
@@ -0,0 +1 @@
+g libvirt - -

Deleted: libvirtd-guests.conf.d
===================================================================
--- libvirtd-guests.conf.d	2019-05-19 15:42:58 UTC (rev 467986)
+++ libvirtd-guests.conf.d	2019-05-19 15:43:05 UTC (rev 467987)
@@ -1,9 +0,0 @@
-BYPASS_CACHE=0
-CONNECT_RETRIES=10
-ON_BOOT=start
-ON_SHUTDOWN=suspend
-PARALLEL_SHUTDOWN=0
-RETRIES_SLEEP=1
-SHUTDOWN_TIMEOUT=300
-START_DELAY=0
-URIS=default

Copied: libvirt/repos/community-x86_64/libvirtd-guests.conf.d (from rev 467986, libvirt/trunk/libvirtd-guests.conf.d)
===================================================================
--- libvirtd-guests.conf.d	                        (rev 0)
+++ libvirtd-guests.conf.d	2019-05-19 15:43:05 UTC (rev 467987)
@@ -0,0 +1,9 @@
+BYPASS_CACHE=0
+CONNECT_RETRIES=10
+ON_BOOT=start
+ON_SHUTDOWN=suspend
+PARALLEL_SHUTDOWN=0
+RETRIES_SLEEP=1
+SHUTDOWN_TIMEOUT=300
+START_DELAY=0
+URIS=default

Deleted: libvirtd.conf.d
===================================================================
--- libvirtd.conf.d	2019-05-19 15:42:58 UTC (rev 467986)
+++ libvirtd.conf.d	2019-05-19 15:43:05 UTC (rev 467987)
@@ -1 +0,0 @@
-LIBVIRTD_ARGS=""

Copied: libvirt/repos/community-x86_64/libvirtd.conf.d (from rev 467986, libvirt/trunk/libvirtd.conf.d)
===================================================================
--- libvirtd.conf.d	                        (rev 0)
+++ libvirtd.conf.d	2019-05-19 15:43:05 UTC (rev 467987)
@@ -0,0 +1 @@
+LIBVIRTD_ARGS=""


More information about the arch-commits mailing list